Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaBasic

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute
          org.apache.cayenne.jpa.map.JpaBasic

All Implemented Interfaces:
  XMLSerializable

    public class JpaBasic

extends JpaAttribute

Field Summary
`protected JpaColumn` | `column`
`protected javax.persistence.EnumType` | `enumerated`
`protected javax.persistence.FetchType` | `fetch`
`protected boolean` | `lob`
`protected boolean` | `optional`
`protected javax.persistence.TemporalType` | `temporal`

Fields inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`name, propertyDescriptor`

Constructor Summary
`JpaBasic()`
`JpaBasic(javax.persistence.Basic basic)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`JpaColumn` | `getColumn()`
`int` | `getDefaultJdbcType()` Returns default JDBC mapping for this basic attribute.
`javax.persistence.EnumType` | `getEnumerated()`
`javax.persistence.FetchType` | `getFetch()`
`javax.persistence.TemporalType` | `getTemporal()`
`boolean` | `isLob()`
`boolean` | `isOptional()`
`void` | `setColumn(JpaColumn column)`
`void` | `setEnumerated(javax.persistence.EnumType enumerated)`
`void` | `setFetch(javax.persistence.FetchType fetchType)`
`void` | `setLob(boolean lob)`
`void` | `setLobTrue(Object value)`
`void` | `setOptional(boolean optional)`
`void` | `setTemporal(javax.persistence.TemporalType temporal)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`getName, getPropertyDescriptor, setName, setPropertyDescriptor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fetch

    protected javax.persistence.FetchType fetch

### optional

    protected boolean optional

### column

    protected JpaColumn column

### lob

    protected boolean lob

### temporal

    protected javax.persistence.TemporalType temporal

### enumerated

    protected javax.persistence.EnumType enumerated

Constructor Detail

### JpaBasic

    public JpaBasic()

### JpaBasic

    public JpaBasic(javax.persistence.Basic basic)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Specified by:
    `encodeAsXML` in class `JpaAttribute`

### getDefaultJdbcType

    public int getDefaultJdbcType()

  Returns default JDBC mapping for this basic attribute.

### getFetch

    public javax.persistence.FetchType getFetch()

### setFetch

    public void setFetch(javax.persistence.FetchType fetchType)

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean optional)

### getColumn

    public JpaColumn getColumn()

### setColumn

    public void setColumn(JpaColumn column)

### getEnumerated

    public javax.persistence.EnumType getEnumerated()

### setEnumerated

    public void setEnumerated(javax.persistence.EnumType enumerated)

### isLob

    public boolean isLob()

### setLob

    public void setLob(boolean lob)

### setLobTrue

    public void setLobTrue(Object value)

### getTemporal

    public javax.persistence.TemporalType getTemporal()

### setTemporal

    public void setTemporal(javax.persistence.TemporalType temporal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.